package com.tofly.watermeter.custom.mapper.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.WeekConditionDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface WeeklyInspectionMapper {

    List<Map> count(@Param("dto") WeekConditionDto dto);

    Page<Map> queryInfo(Page page,@Param("dto") WeekConditionDto dto);

    List<Map> queryInfo(@Param("dto") WeekConditionDto dto);

}
